import React, {Component} from 'react';
import Course from '../../common/course/course.js';
import Scroll from '../../common/scroll/scroll.js';
import TopScroll from '../../common/scroll/topscroll.js';
import Carousel from '../../common/carousel/carousel.js';
import './index.scss';


class Index extends Component {
    state = {
        dataList: [
            {
                'src': 'http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png',
                'title': '啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊',
                'teacher': 'wwwwww',
                'time': '2343234',
                'isbuy': 0,
                'price0': 100,
                'price1': 1000
            },
            {
                'src': 'http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png',
                'title': '啊啊啊啊啊啊啊啊啊啊啊',
                'teacher': 'wwwwww',
                'time': '2343234',
                'isbuy': 0,
                'price0': 100,
                'price1': 1000
            },
            {
                'src': 'http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png',
                'title': '啊啊啊啊啊啊啊啊啊啊啊',
                'teacher': 'wwwwww',
                'time': '2343234',
                'isbuy': 0,
                'price0': 100,
                'price1': 1000
            },
            {
                'src': 'http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png',
                'title': '啊啊啊啊啊啊啊啊啊啊啊',
                'teacher': 'wwwwww',
                'time': '2343234',
                'isbuy': 1,
                'price0': 100,
                'price1': 1000
            }
        ],
        tabdata: [
            {
                'src': 'http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png',
                'name': '公开课'
            },
            {
                'src': 'http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png',
                'name': '精品特惠'
            },
            {
                'src': 'http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png',
                'name': '赚奖学金'
            },
            {
                'src': 'http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png',
                'name': '每日一题'
            },
            {
                'src': 'http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png',
                'name': '企业内训'
            }
        ]
    }

    render() {
        const top = <div>333</div>
        return (
            <div className='indexbox'>
                <TopScroll data={this.state.dataList} height='168px'></TopScroll>
                <div className="tabbox">
                    <ul>
                        {
                            this.state.tabdata.map((item, index) => {
                                return (
                                    <li key={index}>
                                        <img src={item.src} alt=""/>
                                        <span>{item.name}</span>
                                    </li>
                                )
                            })
                        }
                    </ul>
                </div>
                <div className='category'>
                    <h2 className="title">近期直播</h2>
                    <Carousel>
                        {
                            this.state.dataList.map((item, index) => {
                                return (
                                    <li key={index} className='scroll-item'>
                                        <a href="">
                                            <img className="item-img" src={item.src} alt=""/>
                                            <div className="item-content">
                                                <h2 className="item-title">{item.title}</h2>
                                                <p className="item-teacher">讲师：{item.teacher}</p>
                                                <p className="item-time">时间：{item.time}</p>
                                            </div>
                                        </a>
                                    </li>
                                )
                            })
                        }
                    </Carousel>
                    <div className="vip">
                        <a href="">
                            <img
                                src="http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png"
                                alt=""/>
                        </a>
                    </div>
                </div>
                <div className='category'>
                    <h2 className="title">新上好课</h2>
                    <Course data={this.state.dataList} top={
                        <span className='audition'>
                            <i className={'iconfont iconerji'}></i>
                                    试听
                                    </span>
                    } bottom = {
                        <p>{aaa}</p>
                    }></Course>
                </div>
                <div className='category'>
                    <h2 className="title">热门推荐</h2>
                    <a className="more" href="#">更多 ></a>
                    <Scroll data={this.state.dataList} height='106px'></Scroll>
                    <Course data={this.state.dataList}></Course>
                </div>
                <div className='category'>
                    <h2 className="title">基础入门</h2>
                    <a className="more" href="#">更多 ></a>
                    <Course data={this.state.dataList}></Course>
                </div>
                <div className='category'>
                    <h2 className="title">就业班</h2>
                    <Course data={this.state.dataList}></Course>
                </div>
                <div className="category all-course">
                    <p>查看全部课程</p>
                    <span>数学基础、数学结构、大数据实战、Python...</span>
                </div>
            </div>
        );
    }

}

export default Index;
